@charset "utf-8";

/*行の高さをフォントサイズと同じにしています*/
body {
    line-height:180%;
	font-size:15px;
	color: #000;
	min-width: 480px;
	font-family: "メイリオ", Meiryo, "ＭＳ ゴシック", "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ", "ProN W3", "sans-serif";
	background: #fff;
	cursor: default;
	letter-spacing: 0.1em;
	font-weight: 500;
}

.snone,
.none{
	display: none;
}


.en{
	font-family: "Jost",sans-serif;
}


/* スクロールの幅の設定 */
html::-webkit-scrollbar {
width: 15px;
height: 10px;
}

/* スクロールの背景の設定 */
html::-webkit-scrollbar-track {
border-radius: 5px;
box-shadow: 0 0 4px #8FC5E7 inset;
}

/* スクロールのつまみ部分の設定 */
html::-webkit-scrollbar-thumb {
border-radius: 5px;
background: #0059B2;
}

html { scroll-behavior: smooth;}


img{
    max-width: 480px;
}


#page_up{
	position: fixed;
	right: 25px;
	bottom: 25px;
	z-index: 10;
}

#page_up a{
	transform: rotateZ( 0deg ) ;
	transition: .5s ;
	display: inline-block;
}

#page_up a:hover{
	transform: rotateZ( 360deg ) ;
}




/*
.btn:hover{
	   animation: hurueru .5s  infinite;
}



@keyframes hurueru {
    0% {transform: translate(0px, 0px) rotateZ(0deg)}
    25% {transform: translate(2px, 2px) rotateZ(1deg)}
    50% {transform: translate(0px, 2px) rotateZ(0deg)}
    75% {transform: translate(2px, 0px) rotateZ(-1deg)}
    100% {transform: translate(0px, 0px) rotateZ(0deg)}
}
*/
/*拡大ボタン*/


.zbtn{
	transition: all  0.3s ease;
}

.zbtn:hover{
	transform: scale(1.05,1.05);
}



/**************************************************************************/

#up_btn{
	position: fixed;
	right: 25px;
	bottom: 25px;
	z-index: 9999;
}



/*************************************************/

.btns{
	width: 885px;
	margin: auto;
		position: relative;
    overflow: hidden;
}

.s_btn a{
	position: relative;
	overflow: hidden;
}

@keyframes shiny {
    0% { left: -20%; }
    10% { left: 140%; }
    100% { left: 140%; }
}

header #top_btn::after,
.s_btn a::after {
    content: '';
    position: absolute;
    top: -10%;
    left: -20%;
    width: 40px;
    height: 100%;
    transform: scale(2) rotate(20deg);
    background-image: linear-gradient(100deg, rgba(255, 255, 255, 0) 10%, rgba(255, 255, 255, .5) 100%, rgba(255, 255, 255, 0) 0%);
    
    /* アニメーション */
    animation-name: shiny;
    animation-duration: 3s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}


.line_btn{
	text-align: center;
}

/**************************************/

